Microsoft Teams
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Microsoft Teams action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Send Microsoft Teams notification",
"type": "MICROSOFT_TEAMS",
"trigger_time": "ON_EVERY_EXECUTION",
"content": "[#$BUDDY_RUN_ID] $BUDDY_PIPELINE_NAME execution by [$BUDDY_INVOKER_NAME]($BUDDY_INVOKER_URL)",
"recipients": "example@example.com",
"title": "$title",
"send_as_html": true,
"file_attachments": [
"attachment"
]
}'STATUS200 OK